Bug 1192842 - WebSphere 8.5 WAR does not log any messages
Summary: WebSphere 8.5 WAR does not log any messages
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER6
: 6.1.0
Assignee: manstis
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-15 21:16 UTC by Pavel Zeman
Modified: 2020-03-27 20:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:06:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavel Zeman 2015-02-15 21:16:25 UTC
Description of problem:
The WAR for IBM WebSphere 8.5 does not contain logback JARs and logback.xml configuration. As a result, no logs are generated. After adding the JARs and configuration manually, the logs are generated.

Version-Release number of selected component (if applicable):
JBoss BRMS 6.0.3.

How reproducible:
Install the WAR on IBM WebSphere. There are no logs generated and at startup the following errors are output to the SystemErr.log:
[31.1.15 18:49:25:467] 00000083 SystemErr     R SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".
[31.1.15 18:49:25:467] 00000083 SystemErr     R SLF4J: Defaulting to no-operation (NOP) logger implementation


Steps to Reproduce:
See above.

Actual results:
No log.

Expected results:
Log is generated.

Additional info:

Comment 3 Walter Medvedeo 2015-02-18 13:55:51 UTC
fixed in the following commits:

 master http://github.com/droolsjbpm/kie-wb-distributions/commit/3937b924e

 6.2.x URL: http://github.com/droolsjbpm/kie-wb-distributions/commit/82e23b367

Comment 4 Petr Široký 2015-02-19 17:24:51 UTC
The root cause of the issue was that the WAR was missing slf4j-jdk14.jar to bridge the logging calls to JUL (Java Util Logging), which is the logging implementation used by WAS. I fixed that.

We should not use logback here as configuring the JUL is much easier for WAS admins/users. They don't have to go inside the WAR for that, but can rather reuse the WAS config options.

master https://github.com/droolsjbpm/kie-wb-distributions/commit/7c54caec3d859d6f004a24adadf00d91fdbf157b

6.2.x https://github.com/droolsjbpm/kie-wb-distributions/commit/6497faf9632a9e41ffcf963bf642da4831aa1c3c

Comment 5 Petr Široký 2015-02-25 15:30:34 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=1190203 for more general fixes/enhancements related to logging.

Comment 6 Radovan Synek 2015-03-09 11:36:00 UTC
Verified with BRMS-6.1.0.ER6 that:
- message about missing logging impl. shows no more
- logging works


Note You need to log in before you can comment on or make changes to this bug.